//
// LineCrossing.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct LineCrossing: Codable {

    public var lineCoords: [Decimal]
    public var direction: LineCrossingDirection
    public var lineName: String

    public init(lineCoords: [Decimal], direction: LineCrossingDirection, lineName: String) {
        self.lineCoords = lineCoords
        self.direction = direction
        self.lineName = lineName
    }

    public enum CodingKeys: String, CodingKey { 
        case lineCoords = "line_coords"
        case direction
        case lineName = "line_name"
    }

}
